Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		gammu
#Epoch:		0
Version:	1.27.95
Release:	1
License:	GNU/GPLv2
URL:		http://www.gammu.org
Group:		System/Configuration/Hardware
Summary:	free tools and software for cellular devices and phone
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: cmake

#Automatically resolved build dependencies
BuildRequires: bluez-devel
BuildRequires: curl-devel
BuildRequires: glibc-devel
BuildRequires: libusb1-devel
BuildRequires: mysql-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: python26-devel
BuildRequires: zlib-devel

%description
Gammu is a command line utility and library to work with mobile phones
from many vendors. Support for different models differs, but basic
functions should work with the majority of them. Program can work with
contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
integrated radio, camera, etc. It also supports daemon mode to send and
receive SMSes.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -Rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/gammu
%{_bindir}/gammu
%{_bindir}/gammu-config
%{_bindir}/gammu-smsd
%{_bindir}/gammu-smsd-inject
%{_bindir}/gammu-smsd-monitor
%{_bindir}/jadmaker
%{_libdir}/libGammu.a
%{_libdir}/libgsmsd.a
%{_libdir}/python2.6/site-packages/gammu/Data.py
%{_libdir}/python2.6/site-packages/gammu/_gammu.so
%{_libdir}/python2.6/site-packages/gammu/__init__.py
%{_libdir}/python2.6/site-packages/gammu/Worker.py
%{_libdir}/python2.6/site-packages/gammu/data.py
%{_libdir}/python2.6/site-packages/gammu/exception.py
%{_libdir}/python2.6/site-packages/gammu/smsd.py
%{_libdir}/python2.6/site-packages/gammu/worker.py
%{_locale}/*/LC_MESSAGES/gammu.mo
%{_locale}/*/LC_MESSAGES/libgammu.mo
%{_mandir}/cs/man1/gammu.1.gz
%{_mandir}/cs/man1/gammu-config.1.gz
%{_mandir}/cs/man1/gammu-smsd.1.gz
%{_mandir}/cs/man1/gammu-smsd-inject.1.gz
%{_mandir}/cs/man1/gammu-smsd-monitor.1.gz
%{_mandir}/cs/man1/jadmaker.1.gz
%{_mandir}/cs/man5/gammurc.5.gz
%{_mandir}/cs/man5/gammu-smsdrc.5.gz
%{_mandir}/cs/man7/gammu-smsd-dbi.7.gz
%{_mandir}/cs/man7/gammu-smsd-files.7.gz
%{_mandir}/cs/man7/gammu-smsd-mysql.7.gz
%{_mandir}/cs/man7/gammu-smsd-null.7.gz
%{_mandir}/cs/man7/gammu-smsd-pgsql.7.gz
%{_mandir}/cs/man7/gammu-smsd-run.7.gz
%{_mandir}/cs/man7/gammu-smsd-tables.7.gz
%{_mandir}/man1/gammu.1.gz
%{_mandir}/man1/gammu-config.1.gz
%{_mandir}/man1/gammu-smsd.1.gz
%{_mandir}/man1/gammu-smsd-inject.1.gz
%{_mandir}/man1/gammu-smsd-monitor.1.gz
%{_mandir}/man1/jadmaker.1.gz
%{_mandir}/man5/gammurc.5.gz
%{_mandir}/man5/gammu-smsdrc.5.gz
%{_mandir}/man7/gammu-smsd-dbi.7.gz
%{_mandir}/man7/gammu-smsd-files.7.gz
%{_mandir}/man7/gammu-smsd-mysql.7.gz
%{_mandir}/man7/gammu-smsd-null.7.gz
%{_mandir}/man7/gammu-smsd-pgsql.7.gz
%{_mandir}/man7/gammu-smsd-run.7.gz
%{_mandir}/man7/gammu-smsd-tables.7.gz

%files devel
%defattr(-,root,root)
%{_includedir}/gammu
%{_pkgconfig}/gammu.pc
%{_pkgconfig}/gammu-smsd.pc
%{_docdir}/gammu

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.27.95-1
- version update
* Wed Mar 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.27.92-1
- initial CCux package release
